using Spine.Unity;
using UnityEngine;

namespace Assets.Source.Misc
{
    public class SkeletonAnimationPlayerOnEnable : MonoBehaviour
    {
        public SkeletonAnimation SkeletonAnimation;

        public string AnimationName;
        public bool Loop;

        void OnEnable()
        {
            SkeletonAnimation.state.SetAnimation(0, AnimationName, Loop);
        }
    }
}
